Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile.taglib
Class ProfileManagementTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

Direct Known Subclasses:
  PropertyTag, ResultTag

public abstract class ProfileManagementTag
extends TagSupport

Base class for all user managment tags. This provides convience methods to access the UserManager session bean, and debugging flags that can be shared among other tags.

See Also:
  Serialized Form

Field Summary
`static int` | `CREATE_PROFILE_FAILED`
`static int` | `CREATE_PROFILE_NO_SUCH_USER`
`static int` | `CREATE_PROFILE_OK`
`static int` | `GET_PROFILE_FAILED` The profile retrieval failed
`static int` | `GET_PROFILE_OK`
`static int` | `NO_SUCH_PROFILE` The profile retrieval found no record for the profile key
`static int` | `NO_SUCH_SUCCESSOR` The profile retrieval found no record for the profile successor key
`static int` | `SET_PROPERTY_FAILED` The set property call failed
`static int` | `SET_PROPERTY_OK` The set property call worked

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ProfileManagementTag()`

Method Summary
`void` | `release()`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE_PROFILE_FAILED

    public static final int CREATE_PROFILE_FAILED

See Also:
  Constant Field Values

### CREATE_PROFILE_NO_SUCH_USER

    public static final int CREATE_PROFILE_NO_SUCH_USER

See Also:
  Constant Field Values

### CREATE_PROFILE_OK

    public static final int CREATE_PROFILE_OK

See Also:
  Constant Field Values

### GET_PROFILE_FAILED

    public static final int GET_PROFILE_FAILED

  The profile retrieval failed

  See Also:
    Constant Field Values

### GET_PROFILE_OK

    public static final int GET_PROFILE_OK

See Also:
  Constant Field Values

### NO_SUCH_PROFILE

    public static final int NO_SUCH_PROFILE

  The profile retrieval found no record for the profile key

  See Also:
    Constant Field Values

### NO_SUCH_SUCCESSOR

    public static final int NO_SUCH_SUCCESSOR

  The profile retrieval found no record for the profile successor key

  See Also:
    Constant Field Values

### SET_PROPERTY_FAILED

    public static final int SET_PROPERTY_FAILED

  The set property call failed

  See Also:
    Constant Field Values

### SET_PROPERTY_OK

    public static final int SET_PROPERTY_OK

  The set property call worked

  See Also:
    Constant Field Values

Constructor Detail

### ProfileManagementTag

    public ProfileManagementTag()

Method Detail

### release

    public void release()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved